# Post Endpoint - CreateSyncJob

Creates a new new sync job with provided data.

# HTTP Request

One of the following requests should be made:

POST /odata/syncjobs

# Query parameters

Name Description
repository optional. Destination repository key.

# Request headers

Name Description
Authorization required. Bearer {token}. See authorization
Content-Type required. application/json

# Request body

SyncJobEntity

# Responses

Code Description Type
200 New sync job. SyncJobEntity
400 Request contains invalid data.
401 If access is not allowed with the given credentials/data.
500 Creating new sync job failed due to an internal server error.

# Example

# Request

The following is an example of how to call the endpoint:

POST /odata/syncjobs?repository=repo1
Content-Type: application/json

{
  "name": "foo",
  "repositoryUrl": "http://eloserver:9090/ix-Repo/ix",
  "syncTargetSystem": "SharePoint"
}

# Response

The following example shows the response:

Information

The response object is truncated for clarity. Default properties will be returned from the call.

HTTP/1.1 201 Created
Content-Type: application/json

{
  "syncJobId": 123,
  "name": "foo",
  "repositoryUrl": "http://eloserver:9090/ix-Repo/ix",
  "syncTargetSystem": "SharePoint"
}
Last updated: May 15, 2025 at 6:02 PM